Welcome
Guest
FAQ Forum Developers Sign In

What are the system requirements?

Last updated:

Ensure that your system meets the following requirements before using the latest version of Circuit.

Web client requirements
Operating system
  • Microsoft Windows (7 or later)

  • Apple Mac OS X (10.6 Snow Leopard or later)

Standard system
  • Intel Core i3 or equivalent processor

  • MacBook Air (2012)

High-end system
  • Intel Core i5 or equivalent processor

  • MacBook Pro (2012) or MacBook Air (2013) or later

Browser
  • Chrome (latest version)

  • Firefox (latest version)

  • Internet Explorer (11 or later)

Video Video camera (USB or integrated) with or without a microphone
Audio Regular peripherals (microphone and speaker or headset). There are no hardware limitations in terms of sound cards external or integrated on the motherboard.
Mobile client requirements
Mobile phone
  • iPhone 4S or later, iOS 9 or later

  • Android KitKat or Lollipop, i.e. version 4.4 and later
Tablet
  • iPad 2 or later, iOS 9 or later

Note:

To use Circuit on your mobile devices, you have to download the Circuit by Unify Application from the Google Play (Android devices) or Apple store (iOS devices).

You cannot access Circuit through your mobile device native web browser or Chrome, since they are not compatible with Circuit.

101 people found this useful.
Me too / Not at all